#include <idc.idc>

static main() {
   createModuleInfo();
   createExports(); 
   createImports(); 
   createRelocs();  
}

static createModuleInfo() {
  MakeName(0x000002F0, "_module_flags");
  MakeDword(0x000002F0);
  MakeName(0x000002F4, "_module_name");
  MakeStr(0x000002F4, BADADDR);
  MakeName(0x00000310, "_module_gp");
  MakeDword(0x00000310);
  MakeName(0x00000314, "_module_exports");
  MakeDword(0x00000314);
  OpOff(0x00000314, 0, 0);
  MakeName(0x00000318, "_module_exp_end");
  MakeDword(0x00000318);
  OpOff(0x00000318, 0, 0);
  MakeName(0x0000031C, "_module_imports");
  MakeDword(0x0000031C);
  OpOff(0x0000031C, 0, 0);
  MakeName(0x00000320, "_module_imp_end");
  MakeDword(0x00000320);
  OpOff(0x00000320, 0, 0);
}

static createImports() {
  MakeName(0x000002B4, "import0");
  MakeDword(0x000002B4);
  OpOff(0x000002B4, 0, 0);
  MakeName(0x00000328, "import0_name");
  MakeStr(0x00000328, BADADDR);
  MakeName(0x000002B8, "import0_flags");
  MakeDword(0x000002B8);
  MakeName(0x000002BC, "import0_counts");
  MakeDword(0x000002BC);
  MakeName(0x000002C0, "import0_nids");
  MakeDword(0x000002C0);
  OpOff(0x000002C0, 0, 0);
  MakeName(0x000002C4, "import0_funcs");
  MakeDword(0x000002C4);
  OpOff(0x000002C4, 0, 0);
  MakeName(0x000003A4, "import0_sceKernelCreateSema");
  MakeDword(0x000003A4);
  MakeName(0x00000254, "sceKernelCreateSema");
  MakeFunction(0x00000254, BADADDR);
  MakeName(0x000003A8, "import0_sceKernelSignalSema");
  MakeDword(0x000003A8);
  MakeName(0x0000025C, "sceKernelSignalSema");
  MakeFunction(0x0000025C, BADADDR);
  MakeName(0x000003AC, "import0_sceKernelWaitSema");
  MakeDword(0x000003AC);
  MakeName(0x00000264, "sceKernelWaitSema");
  MakeFunction(0x00000264, BADADDR);
  MakeName(0x000002C8, "import1");
  MakeDword(0x000002C8);
  OpOff(0x000002C8, 0, 0);
  MakeName(0x00000340, "import1_name");
  MakeStr(0x00000340, BADADDR);
  MakeName(0x000002CC, "import1_flags");
  MakeDword(0x000002CC);
  MakeName(0x000002D0, "import1_counts");
  MakeDword(0x000002D0);
  MakeName(0x000002D4, "import1_nids");
  MakeDword(0x000002D4);
  OpOff(0x000002D4, 0, 0);
  MakeName(0x000002D8, "import1_funcs");
  MakeDword(0x000002D8);
  OpOff(0x000002D8, 0, 0);
  MakeName(0x000003B0, "import1_sceIdStorageLookup");
  MakeDword(0x000003B0);
  MakeName(0x0000026C, "sceIdStorageLookup");
  MakeFunction(0x0000026C, BADADDR);
  MakeName(0x000002DC, "import2");
  MakeDword(0x000002DC);
  OpOff(0x000002DC, 0, 0);
  MakeName(0x00000358, "import2_name");
  MakeStr(0x00000358, BADADDR);
  MakeName(0x000002E0, "import2_flags");
  MakeDword(0x000002E0);
  MakeName(0x000002E4, "import2_counts");
  MakeDword(0x000002E4);
  MakeName(0x000002E8, "import2_nids");
  MakeDword(0x000002E8);
  OpOff(0x000002E8, 0, 0);
  MakeName(0x000002EC, "import2_funcs");
  MakeDword(0x000002EC);
  OpOff(0x000002EC, 0, 0);
  MakeName(0x000003B4, "import2_sceUtilsBufferCopyWithRange");
  MakeDword(0x000003B4);
  MakeName(0x00000274, "sceUtilsBufferCopyWithRange");
  MakeFunction(0x00000274, BADADDR);
}

static createExports() {
  MakeName(0x00000284, "export_0");
  MakeDword(0x00000284);
  MakeName(0x00000288, "export_0_flags");
  MakeDword(0x00000288);
  MakeName(0x0000028C, "export_0_counts");
  MakeDword(0x0000028C);
  MakeName(0x00000290, "export_0_exports");
  MakeDword(0x00000290);
  OpOff(0x00000290, 0, 0);
  MakeName(0x00000364, "export_0_module_start");
  MakeDword(0x00000364);
  MakeName(0x0000036C, "");
  MakeDword(0x0000036C);
  OpOff(0x0000036C, 0, 0);
  MakeName(0x000000E8, "module_start");
  MakeFunction(0x000000E8, BADADDR);
  MakeName(0x00000368, "export_0_module_info");
  MakeDword(0x00000368);
  MakeName(0x00000370, "");
  MakeDword(0x00000370);
  OpOff(0x00000370, 0, 0);
  MakeName(0x00000294, "export_1");
  MakeDword(0x00000294);
  OpOff(0x00000294, 0, 0);
  MakeName(0x00000374, "export_1_name");
  MakeStr(0x00000374, BADADDR);
  MakeName(0x00000298, "export_1_flags");
  MakeDword(0x00000298);
  MakeName(0x0000029C, "export_1_counts");
  MakeDword(0x0000029C);
  MakeName(0x000002A0, "export_1_exports");
  MakeDword(0x000002A0);
  OpOff(0x000002A0, 0, 0);
  MakeName(0x00000380, "export_1_sceOpenPSIDGetOpenPSID");
  MakeDword(0x00000380);
  MakeName(0x00000384, "");
  MakeDword(0x00000384);
  OpOff(0x00000384, 0, 0);
  MakeName(0x00000148, "sceOpenPSIDGetOpenPSID");
  MakeFunction(0x00000148, BADADDR);
  MakeName(0x000002A4, "export_2");
  MakeDword(0x000002A4);
  OpOff(0x000002A4, 0, 0);
  MakeName(0x00000388, "export_2_name");
  MakeStr(0x00000388, BADADDR);
  MakeName(0x000002A8, "export_2_flags");
  MakeDword(0x000002A8);
  MakeName(0x000002AC, "export_2_counts");
  MakeDword(0x000002AC);
  MakeName(0x000002B0, "export_2_exports");
  MakeDword(0x000002B0);
  OpOff(0x000002B0, 0, 0);
  MakeName(0x0000039C, "export_2_sceOpenPSIDGetOpenPSID");
  MakeDword(0x0000039C);
  MakeName(0x000003A0, "");
  MakeDword(0x000003A0);
  OpOff(0x000003A0, 0, 0);
  MakeName(0x00000148, "sceOpenPSIDGetOpenPSID");
  MakeFunction(0x00000148, BADADDR);
}

static createRelocs() {
}

