#include <idc.idc>

static main() {
   createModuleInfo();
   createExports(); 
   createImports(); 
   createRelocs();  
}

static createModuleInfo() {
  MakeName(0x00001700, "_module_flags");
  MakeDword(0x00001700);
  MakeName(0x00001704, "_module_name");
  MakeStr(0x00001704, BADADDR);
  MakeName(0x00001720, "_module_gp");
  MakeDword(0x00001720);
  MakeName(0x00001724, "_module_exports");
  MakeDword(0x00001724);
  OpOff(0x00001724, 0, 0);
  MakeName(0x00001728, "_module_exp_end");
  MakeDword(0x00001728);
  OpOff(0x00001728, 0, 0);
  MakeName(0x0000172C, "_module_imports");
  MakeDword(0x0000172C);
  OpOff(0x0000172C, 0, 0);
  MakeName(0x00001730, "_module_imp_end");
  MakeDword(0x00001730);
  OpOff(0x00001730, 0, 0);
}

static createImports() {
  MakeName(0x0000165C, "import0");
  MakeDword(0x0000165C);
  OpOff(0x0000165C, 0, 0);
  MakeName(0x00001738, "import0_name");
  MakeStr(0x00001738, BADADDR);
  MakeName(0x00001660, "import0_flags");
  MakeDword(0x00001660);
  MakeName(0x00001664, "import0_counts");
  MakeDword(0x00001664);
  MakeName(0x00001668, "import0_nids");
  MakeDword(0x00001668);
  OpOff(0x00001668, 0, 0);
  MakeName(0x0000166C, "import0_funcs");
  MakeDword(0x0000166C);
  OpOff(0x0000166C, 0, 0);
  MakeName(0x000018F8, "import0_sceSysregMeResetEnable");
  MakeDword(0x000018F8);
  MakeName(0x000015D8, "sceSysregMeResetEnable");
  MakeFunction(0x000015D8, BADADDR);
  MakeName(0x000018FC, "import0_sceSysregMeResetDisable");
  MakeDword(0x000018FC);
  MakeName(0x000015E0, "sceSysregMeResetDisable");
  MakeFunction(0x000015E0, BADADDR);
  MakeName(0x00001900, "import0_sceSysregVmeResetEnable");
  MakeDword(0x00001900);
  MakeName(0x000015E8, "sceSysregVmeResetEnable");
  MakeFunction(0x000015E8, BADADDR);
  MakeName(0x00001904, "import0_sceSysregVmeResetDisable");
  MakeDword(0x00001904);
  MakeName(0x000015F0, "sceSysregVmeResetDisable");
  MakeFunction(0x000015F0, BADADDR);
  MakeName(0x00001908, "import0_sceSysregAvcResetEnable");
  MakeDword(0x00001908);
  MakeName(0x000015F8, "sceSysregAvcResetEnable");
  MakeFunction(0x000015F8, BADADDR);
  MakeName(0x0000190C, "import0_sceSysregAvcResetDisable");
  MakeDword(0x0000190C);
  MakeName(0x00001600, "sceSysregAvcResetDisable");
  MakeFunction(0x00001600, BADADDR);
  MakeName(0x00001910, "import0_sceSysregMeBusClockEnable");
  MakeDword(0x00001910);
  MakeName(0x00001608, "sceSysregMeBusClockEnable");
  MakeFunction(0x00001608, BADADDR);
  MakeName(0x00001914, "import0_sceSysregMeBusClockDisable");
  MakeDword(0x00001914);
  MakeName(0x00001610, "sceSysregMeBusClockDisable");
  MakeFunction(0x00001610, BADADDR);
  MakeName(0x00001918, "import0_sceSysregIntrEnd");
  MakeDword(0x00001918);
  MakeName(0x00001618, "sceSysregIntrEnd");
  MakeFunction(0x00001618, BADADDR);
  MakeName(0x0000191C, "import0_sceSysregInterruptToOther");
  MakeDword(0x0000191C);
  MakeName(0x00001620, "sceSysregInterruptToOther");
  MakeFunction(0x00001620, BADADDR);
  MakeName(0x00001670, "import1");
  MakeDword(0x00001670);
  OpOff(0x00001670, 0, 0);
  MakeName(0x00001750, "import1_name");
  MakeStr(0x00001750, BADADDR);
  MakeName(0x00001674, "import1_flags");
  MakeDword(0x00001674);
  MakeName(0x00001678, "import1_counts");
  MakeDword(0x00001678);
  MakeName(0x0000167C, "import1_nids");
  MakeDword(0x0000167C);
  OpOff(0x0000167C, 0, 0);
  MakeName(0x00001680, "import1_funcs");
  MakeDword(0x00001680);
  OpOff(0x00001680, 0, 0);
  MakeName(0x000018E4, "import1_sceKernelDcacheWritebackInvalidateAll");
  MakeDword(0x000018E4);
  MakeName(0x000015B0, "sceKernelDcacheWritebackInvalidateAll");
  MakeFunction(0x000015B0, BADADDR);
  MakeName(0x000018E8, "import1_sceKernelDcacheWritebackInvalidateRange");
  MakeDword(0x000018E8);
  MakeName(0x000015B8, "sceKernelDcacheWritebackInvalidateRange");
  MakeFunction(0x000015B8, BADADDR);
  MakeName(0x00001684, "import2");
  MakeDword(0x00001684);
  OpOff(0x00001684, 0, 0);
  MakeName(0x00001764, "import2_name");
  MakeStr(0x00001764, BADADDR);
  MakeName(0x00001688, "import2_flags");
  MakeDword(0x00001688);
  MakeName(0x0000168C, "import2_counts");
  MakeDword(0x0000168C);
  MakeName(0x00001690, "import2_nids");
  MakeDword(0x00001690);
  OpOff(0x00001690, 0, 0);
  MakeName(0x00001694, "import2_funcs");
  MakeDword(0x00001694);
  OpOff(0x00001694, 0, 0);
  MakeName(0x000018F0, "import2_sceKernelRegisterSysEventHandler");
  MakeDword(0x000018F0);
  MakeName(0x000015C8, "sceKernelRegisterSysEventHandler");
  MakeFunction(0x000015C8, BADADDR);
  MakeName(0x000018F4, "import2_sceKernelUnregisterSysEventHandler");
  MakeDword(0x000018F4);
  MakeName(0x000015D0, "sceKernelUnregisterSysEventHandler");
  MakeFunction(0x000015D0, BADADDR);
  MakeName(0x00001698, "import3");
  MakeDword(0x00001698);
  OpOff(0x00001698, 0, 0);
  MakeName(0x00001780, "import3_name");
  MakeStr(0x00001780, BADADDR);
  MakeName(0x0000169C, "import3_flags");
  MakeDword(0x0000169C);
  MakeName(0x000016A0, "import3_counts");
  MakeDword(0x000016A0);
  MakeName(0x000016A4, "import3_nids");
  MakeDword(0x000016A4);
  OpOff(0x000016A4, 0, 0);
  MakeName(0x000016A8, "import3_funcs");
  MakeDword(0x000016A8);
  OpOff(0x000016A8, 0, 0);
  MakeName(0x000018C4, "import3_memcpy");
  MakeDword(0x000018C4);
  MakeName(0x00001570, "memcpy");
  MakeFunction(0x00001570, BADADDR);
  MakeName(0x000016AC, "import4");
  MakeDword(0x000016AC);
  OpOff(0x000016AC, 0, 0);
  MakeName(0x00001798, "import4_name");
  MakeStr(0x00001798, BADADDR);
  MakeName(0x000016B0, "import4_flags");
  MakeDword(0x000016B0);
  MakeName(0x000016B4, "import4_counts");
  MakeDword(0x000016B4);
  MakeName(0x000016B8, "import4_nids");
  MakeDword(0x000016B8);
  OpOff(0x000016B8, 0, 0);
  MakeName(0x000016BC, "import4_funcs");
  MakeDword(0x000016BC);
  OpOff(0x000016BC, 0, 0);
  MakeName(0x000018C0, "import4_SysMemForKernel_CDA3A2F7");
  MakeDword(0x000018C0);
  MakeName(0x00001568, "SysMemForKernel_CDA3A2F7");
  MakeFunction(0x00001568, BADADDR);
  MakeName(0x000016C0, "import5");
  MakeDword(0x000016C0);
  OpOff(0x000016C0, 0, 0);
  MakeName(0x000017AC, "import5_name");
  MakeStr(0x000017AC, BADADDR);
  MakeName(0x000016C4, "import5_flags");
  MakeDword(0x000016C4);
  MakeName(0x000016C8, "import5_counts");
  MakeDword(0x000016C8);
  MakeName(0x000016CC, "import5_nids");
  MakeDword(0x000016CC);
  OpOff(0x000016CC, 0, 0);
  MakeName(0x000016D0, "import5_funcs");
  MakeDword(0x000016D0);
  OpOff(0x000016D0, 0, 0);
  MakeName(0x000018B8, "import5_sceKernelRegisterIntrHandler");
  MakeDword(0x000018B8);
  MakeName(0x00001558, "sceKernelRegisterIntrHandler");
  MakeFunction(0x00001558, BADADDR);
  MakeName(0x000018BC, "import5_sceKernelEnableIntr");
  MakeDword(0x000018BC);
  MakeName(0x00001560, "sceKernelEnableIntr");
  MakeFunction(0x00001560, BADADDR);
  MakeName(0x000016D4, "import6");
  MakeDword(0x000016D4);
  OpOff(0x000016D4, 0, 0);
  MakeName(0x000017CC, "import6_name");
  MakeStr(0x000017CC, BADADDR);
  MakeName(0x000016D8, "import6_flags");
  MakeDword(0x000016D8);
  MakeName(0x000016DC, "import6_counts");
  MakeDword(0x000016DC);
  MakeName(0x000016E0, "import6_nids");
  MakeDword(0x000016E0);
  OpOff(0x000016E0, 0, 0);
  MakeName(0x000016E4, "import6_funcs");
  MakeDword(0x000016E4);
  OpOff(0x000016E4, 0, 0);
  MakeName(0x000018C8, "import6_sceKernelCreateSema");
  MakeDword(0x000018C8);
  MakeName(0x00001578, "sceKernelCreateSema");
  MakeFunction(0x00001578, BADADDR);
  MakeName(0x000018CC, "import6_sceKernelSignalSema");
  MakeDword(0x000018CC);
  MakeName(0x00001580, "sceKernelSignalSema");
  MakeFunction(0x00001580, BADADDR);
  MakeName(0x000018D0, "import6_sceKernelWaitSema");
  MakeDword(0x000018D0);
  MakeName(0x00001588, "sceKernelWaitSema");
  MakeFunction(0x00001588, BADADDR);
  MakeName(0x000018D4, "import6_sceKernelPollSema");
  MakeDword(0x000018D4);
  MakeName(0x00001590, "sceKernelPollSema");
  MakeFunction(0x00001590, BADADDR);
  MakeName(0x000018D8, "import6_sceKernelCreateEventFlag");
  MakeDword(0x000018D8);
  MakeName(0x00001598, "sceKernelCreateEventFlag");
  MakeFunction(0x00001598, BADADDR);
  MakeName(0x000018DC, "import6_sceKernelSetEventFlag");
  MakeDword(0x000018DC);
  MakeName(0x000015A0, "sceKernelSetEventFlag");
  MakeFunction(0x000015A0, BADADDR);
  MakeName(0x000018E0, "import6_sceKernelWaitEventFlag");
  MakeDword(0x000018E0);
  MakeName(0x000015A8, "sceKernelWaitEventFlag");
  MakeFunction(0x000015A8, BADADDR);
  MakeName(0x000016E8, "import7");
  MakeDword(0x000016E8);
  OpOff(0x000016E8, 0, 0);
  MakeName(0x000017E4, "import7_name");
  MakeStr(0x000017E4, BADADDR);
  MakeName(0x000016EC, "import7_flags");
  MakeDword(0x000016EC);
  MakeName(0x000016F0, "import7_counts");
  MakeDword(0x000016F0);
  MakeName(0x000016F4, "import7_nids");
  MakeDword(0x000016F4);
  OpOff(0x000016F4, 0, 0);
  MakeName(0x000016F8, "import7_funcs");
  MakeDword(0x000016F8);
  OpOff(0x000016F8, 0, 0);
  MakeName(0x000018EC, "import7_sceDdrFlush");
  MakeDword(0x000018EC);
  MakeName(0x000015C0, "sceDdrFlush");
  MakeFunction(0x000015C0, BADADDR);
}

static createExports() {
  MakeName(0x00001634, "export_0");
  MakeDword(0x00001634);
  MakeName(0x00001638, "export_0_flags");
  MakeDword(0x00001638);
  MakeName(0x0000163C, "export_0_counts");
  MakeDword(0x0000163C);
  MakeName(0x00001640, "export_0_exports");
  MakeDword(0x00001640);
  OpOff(0x00001640, 0, 0);
  MakeName(0x000017F4, "export_0_module_start");
  MakeDword(0x000017F4);
  MakeName(0x00001800, "");
  MakeDword(0x00001800);
  OpOff(0x00001800, 0, 0);
  MakeName(0x00001268, "module_start");
  MakeFunction(0x00001268, BADADDR);
  MakeName(0x000017F8, "export_0_module_reboot_before");
  MakeDword(0x000017F8);
  MakeName(0x00001804, "");
  MakeDword(0x00001804);
  OpOff(0x00001804, 0, 0);
  MakeName(0x00001294, "module_reboot_before");
  MakeFunction(0x00001294, BADADDR);
  MakeName(0x000017FC, "export_0_module_info");
  MakeDword(0x000017FC);
  MakeName(0x00001808, "");
  MakeDword(0x00001808);
  OpOff(0x00001808, 0, 0);
  MakeName(0x00001644, "export_1");
  MakeDword(0x00001644);
  OpOff(0x00001644, 0, 0);
  MakeName(0x0000180C, "export_1_name");
  MakeStr(0x0000180C, BADADDR);
  MakeName(0x00001648, "export_1_flags");
  MakeDword(0x00001648);
  MakeName(0x0000164C, "export_1_counts");
  MakeDword(0x0000164C);
  MakeName(0x00001650, "export_1_exports");
  MakeDword(0x00001650);
  OpOff(0x00001650, 0, 0);
  MakeName(0x00001820, "export_1_sceMeWrapperInit");
  MakeDword(0x00001820);
  MakeName(0x0000186C, "");
  MakeDword(0x0000186C);
  OpOff(0x0000186C, 0, 0);
  MakeName(0x00001268, "sceMeWrapperInit");
  MakeFunction(0x00001268, BADADDR);
  MakeName(0x00001824, "export_1_sceMeWrapperEnd");
  MakeDword(0x00001824);
  MakeName(0x00001870, "");
  MakeDword(0x00001870);
  OpOff(0x00001870, 0, 0);
  MakeName(0x00001294, "sceMeWrapperEnd");
  MakeFunction(0x00001294, BADADDR);
  MakeName(0x00001828, "export_1_sceMeWrapper_driver_B655AD4E");
  MakeDword(0x00001828);
  MakeName(0x00001874, "");
  MakeDword(0x00001874);
  OpOff(0x00001874, 0, 0);
  MakeName(0x00000000, "sceMeWrapper_driver_B655AD4E");
  MakeFunction(0x00000000, BADADDR);
  MakeName(0x0000182C, "export_1_sceMeWrapper_driver_06F0236A");
  MakeDword(0x0000182C);
  MakeName(0x00001878, "");
  MakeDword(0x00001878);
  OpOff(0x00001878, 0, 0);
  MakeName(0x0000010C, "sceMeWrapper_driver_06F0236A");
  MakeFunction(0x0000010C, BADADDR);
  MakeName(0x00001830, "export_1_sceMeWrapper_driver_176BBE07");
  MakeDword(0x00001830);
  MakeName(0x0000187C, "");
  MakeDword(0x0000187C);
  OpOff(0x0000187C, 0, 0);
  MakeName(0x000001B4, "sceMeWrapper_driver_176BBE07");
  MakeFunction(0x000001B4, BADADDR);
  MakeName(0x00001834, "export_1_sceMeWrapper_driver_DE2E7E89");
  MakeDword(0x00001834);
  MakeName(0x00001880, "");
  MakeDword(0x00001880);
  OpOff(0x00001880, 0, 0);
  MakeName(0x00000344, "sceMeWrapper_driver_DE2E7E89");
  MakeFunction(0x00000344, BADADDR);
  MakeName(0x00001838, "export_1_sceMeWrapper_driver_E67F4E0A");
  MakeDword(0x00001838);
  MakeName(0x00001884, "");
  MakeDword(0x00001884);
  OpOff(0x00001884, 0, 0);
  MakeName(0x00000468, "sceMeWrapper_driver_E67F4E0A");
  MakeFunction(0x00000468, BADADDR);
  MakeName(0x0000183C, "export_1_sceMeWrapper_driver_1C6A60E1");
  MakeDword(0x0000183C);
  MakeName(0x00001888, "");
  MakeDword(0x00001888);
  OpOff(0x00001888, 0, 0);
  MakeName(0x00000500, "sceMeWrapper_driver_1C6A60E1");
  MakeFunction(0x00000500, BADADDR);
  MakeName(0x00001840, "export_1_sceMeWrapper_driver_C00D873B");
  MakeDword(0x00001840);
  MakeName(0x0000188C, "");
  MakeDword(0x0000188C);
  OpOff(0x0000188C, 0, 0);
  MakeName(0x00000664, "sceMeWrapper_driver_C00D873B");
  MakeFunction(0x00000664, BADADDR);
  MakeName(0x00001844, "export_1_sceMeWrapper_driver_FEE0A97D");
  MakeDword(0x00001844);
  MakeName(0x00001890, "");
  MakeDword(0x00001890);
  OpOff(0x00001890, 0, 0);
  MakeName(0x00000784, "sceMeWrapper_driver_FEE0A97D");
  MakeFunction(0x00000784, BADADDR);
  MakeName(0x00001848, "export_1_sceMeWrapper_driver_BAC7C2BE");
  MakeDword(0x00001848);
  MakeName(0x00001894, "");
  MakeDword(0x00001894);
  OpOff(0x00001894, 0, 0);
  MakeName(0x000009E0, "sceMeWrapper_driver_BAC7C2BE");
  MakeFunction(0x000009E0, BADADDR);
  MakeName(0x0000184C, "export_1_sceMeWrapper_driver_39F06790");
  MakeDword(0x0000184C);
  MakeName(0x00001898, "");
  MakeDword(0x00001898);
  OpOff(0x00001898, 0, 0);
  MakeName(0x00000B6C, "sceMeWrapper_driver_39F06790");
  MakeFunction(0x00000B6C, BADADDR);
  MakeName(0x00001850, "export_1_sceMeMalloc");
  MakeDword(0x00001850);
  MakeName(0x0000189C, "");
  MakeDword(0x0000189C);
  OpOff(0x0000189C, 0, 0);
  MakeName(0x00000CB0, "sceMeMalloc");
  MakeFunction(0x00000CB0, BADADDR);
  MakeName(0x00001854, "export_1_sceMeCalloc");
  MakeDword(0x00001854);
  MakeName(0x000018A0, "");
  MakeDword(0x000018A0);
  OpOff(0x000018A0, 0, 0);
  MakeName(0x00000CD0, "sceMeCalloc");
  MakeFunction(0x00000CD0, BADADDR);
  MakeName(0x00001858, "export_1_sceMeFree");
  MakeDword(0x00001858);
  MakeName(0x000018A4, "");
  MakeDword(0x000018A4);
  OpOff(0x000018A4, 0, 0);
  MakeName(0x00000CF4, "sceMeFree");
  MakeFunction(0x00000CF4, BADADDR);
  MakeName(0x0000185C, "export_1_sceMeWrapper_driver_D1EA3DFD");
  MakeDword(0x0000185C);
  MakeName(0x000018A8, "");
  MakeDword(0x000018A8);
  OpOff(0x000018A8, 0, 0);
  MakeName(0x000010AC, "sceMeWrapper_driver_D1EA3DFD");
  MakeFunction(0x000010AC, BADADDR);
  MakeName(0x00001860, "export_1_sceMeWrapper_driver_3D5F109C");
  MakeDword(0x00001860);
  MakeName(0x000018AC, "");
  MakeDword(0x000018AC);
  OpOff(0x000018AC, 0, 0);
  MakeName(0x00000FA8, "sceMeWrapper_driver_3D5F109C");
  MakeFunction(0x00000FA8, BADADDR);
  MakeName(0x00001864, "export_1_sceMeRpcLock");
  MakeDword(0x00001864);
  MakeName(0x000018B0, "");
  MakeDword(0x000018B0);
  OpOff(0x000018B0, 0, 0);
  MakeName(0x000011B4, "sceMeRpcLock");
  MakeFunction(0x000011B4, BADADDR);
  MakeName(0x00001868, "export_1_sceMeRpcUnlock");
  MakeDword(0x00001868);
  MakeName(0x000018B4, "");
  MakeDword(0x000018B4);
  OpOff(0x000018B4, 0, 0);
  MakeName(0x000011DC, "sceMeRpcUnlock");
  MakeFunction(0x000011DC, BADADDR);
}

static createRelocs() {
}

