#include <idc.idc>

static main() {
   createModuleInfo();
   createExports(); 
   createImports(); 
   createRelocs();  
}

static createModuleInfo() {
  MakeName(0x000008A8, "_module_flags");
  MakeDword(0x000008A8);
  MakeName(0x000008AC, "_module_name");
  MakeStr(0x000008AC, BADADDR);
  MakeName(0x000008C8, "_module_gp");
  MakeDword(0x000008C8);
  MakeName(0x000008CC, "_module_exports");
  MakeDword(0x000008CC);
  OpOff(0x000008CC, 0, 0);
  MakeName(0x000008D0, "_module_exp_end");
  MakeDword(0x000008D0);
  OpOff(0x000008D0, 0, 0);
  MakeName(0x000008D4, "_module_imports");
  MakeDword(0x000008D4);
  OpOff(0x000008D4, 0, 0);
  MakeName(0x000008D8, "_module_imp_end");
  MakeDword(0x000008D8);
  OpOff(0x000008D8, 0, 0);
}

static createImports() {
  MakeName(0x0000087C, "import0");
  MakeDword(0x0000087C);
  OpOff(0x0000087C, 0, 0);
  MakeName(0x000008E0, "import0_name");
  MakeStr(0x000008E0, BADADDR);
  MakeName(0x00000880, "import0_flags");
  MakeDword(0x00000880);
  MakeName(0x00000884, "import0_counts");
  MakeDword(0x00000884);
  MakeName(0x00000888, "import0_nids");
  MakeDword(0x00000888);
  OpOff(0x00000888, 0, 0);
  MakeName(0x0000088C, "import0_funcs");
  MakeDword(0x0000088C);
  OpOff(0x0000088C, 0, 0);
  MakeName(0x0000096C, "import0_sceUtilityCreateNetParam");
  MakeDword(0x0000096C);
  MakeName(0x00000838, "sceUtilityCreateNetParam");
  MakeFunction(0x00000838, BADADDR);
  MakeName(0x00000970, "import0_sceUtilityDeleteNetParam");
  MakeDword(0x00000970);
  MakeName(0x00000840, "sceUtilityDeleteNetParam");
  MakeFunction(0x00000840, BADADDR);
  MakeName(0x00000974, "import0_sceUtilitySetNetParam");
  MakeDword(0x00000974);
  MakeName(0x00000848, "sceUtilitySetNetParam");
  MakeFunction(0x00000848, BADADDR);
  MakeName(0x00000890, "import1");
  MakeDword(0x00000890);
  OpOff(0x00000890, 0, 0);
  MakeName(0x00000904, "import1_name");
  MakeStr(0x00000904, BADADDR);
  MakeName(0x00000894, "import1_flags");
  MakeDword(0x00000894);
  MakeName(0x00000898, "import1_counts");
  MakeDword(0x00000898);
  MakeName(0x0000089C, "import1_nids");
  MakeDword(0x0000089C);
  OpOff(0x0000089C, 0, 0);
  MakeName(0x000008A0, "import1_funcs");
  MakeDword(0x000008A0);
  OpOff(0x000008A0, 0, 0);
  MakeName(0x0000095C, "import1_sceNetApctlAddHandler");
  MakeDword(0x0000095C);
  MakeName(0x00000818, "sceNetApctlAddHandler");
  MakeFunction(0x00000818, BADADDR);
  MakeName(0x00000960, "import1_sceNetApctlDelHandler");
  MakeDword(0x00000960);
  MakeName(0x00000820, "sceNetApctlDelHandler");
  MakeFunction(0x00000820, BADADDR);
  MakeName(0x00000964, "import1_sceNetApctlConnect");
  MakeDword(0x00000964);
  MakeName(0x00000828, "sceNetApctlConnect");
  MakeFunction(0x00000828, BADADDR);
  MakeName(0x00000968, "import1_sceNetApctlGetState");
  MakeDword(0x00000968);
  MakeName(0x00000830, "sceNetApctlGetState");
  MakeFunction(0x00000830, BADADDR);
}

static createExports() {
  MakeName(0x00000854, "export_0");
  MakeDword(0x00000854);
  MakeName(0x00000858, "export_0_flags");
  MakeDword(0x00000858);
  MakeName(0x0000085C, "export_0_counts");
  MakeDword(0x0000085C);
  MakeName(0x00000860, "export_0_exports");
  MakeDword(0x00000860);
  OpOff(0x00000860, 0, 0);
  MakeName(0x00000910, "export_0_module_start");
  MakeDword(0x00000910);
  MakeName(0x0000091C, "");
  MakeDword(0x0000091C);
  OpOff(0x0000091C, 0, 0);
  MakeName(0x00000560, "module_start");
  MakeFunction(0x00000560, BADADDR);
  MakeName(0x00000914, "export_0_module_stop");
  MakeDword(0x00000914);
  MakeName(0x00000920, "");
  MakeDword(0x00000920);
  OpOff(0x00000920, 0, 0);
  MakeName(0x00000568, "module_stop");
  MakeFunction(0x00000568, BADADDR);
  MakeName(0x00000918, "export_0_module_info");
  MakeDword(0x00000918);
  MakeName(0x00000924, "");
  MakeDword(0x00000924);
  OpOff(0x00000924, 0, 0);
  MakeName(0x00000864, "export_1");
  MakeDword(0x00000864);
  OpOff(0x00000864, 0, 0);
  MakeName(0x00000928, "export_1_name");
  MakeStr(0x00000928, BADADDR);
  MakeName(0x00000868, "export_1_flags");
  MakeDword(0x00000868);
  MakeName(0x0000086C, "export_1_counts");
  MakeDword(0x0000086C);
  MakeName(0x00000870, "export_1_exports");
  MakeDword(0x00000870);
  OpOff(0x00000870, 0, 0);
  MakeName(0x0000093C, "export_1_sceNetApDialogDummyInit");
  MakeDword(0x0000093C);
  MakeName(0x0000094C, "");
  MakeDword(0x0000094C);
  OpOff(0x0000094C, 0, 0);
  MakeName(0x000000B8, "sceNetApDialogDummyInit");
  MakeFunction(0x000000B8, BADADDR);
  MakeName(0x00000940, "export_1_sceNetApDialogDummyTerm");
  MakeDword(0x00000940);
  MakeName(0x00000950, "");
  MakeDword(0x00000950);
  OpOff(0x00000950, 0, 0);
  MakeName(0x00000158, "sceNetApDialogDummyTerm");
  MakeFunction(0x00000158, BADADDR);
  MakeName(0x00000944, "export_1_sceNetApDialogDummyConnect");
  MakeDword(0x00000944);
  MakeName(0x00000954, "");
  MakeDword(0x00000954);
  OpOff(0x00000954, 0, 0);
  MakeName(0x00000000, "sceNetApDialogDummyConnect");
  MakeFunction(0x00000000, BADADDR);
  MakeName(0x00000948, "export_1_sceNetApDialogDummyGetState");
  MakeDword(0x00000948);
  MakeName(0x00000958, "");
  MakeDword(0x00000958);
  OpOff(0x00000958, 0, 0);
  MakeName(0x000001B0, "sceNetApDialogDummyGetState");
  MakeFunction(0x000001B0, BADADDR);
}

static createRelocs() {
}

