#include <idc.idc>

static main() {
   createModuleInfo();
   createExports(); 
   createImports(); 
   createRelocs();  
}

static createModuleInfo() {
  MakeName(0x00000A18, "_module_flags");
  MakeDword(0x00000A18);
  MakeName(0x00000A1C, "_module_name");
  MakeStr(0x00000A1C, BADADDR);
  MakeName(0x00000A38, "_module_gp");
  MakeDword(0x00000A38);
  MakeName(0x00000A3C, "_module_exports");
  MakeDword(0x00000A3C);
  OpOff(0x00000A3C, 0, 0);
  MakeName(0x00000A40, "_module_exp_end");
  MakeDword(0x00000A40);
  OpOff(0x00000A40, 0, 0);
  MakeName(0x00000A44, "_module_imports");
  MakeDword(0x00000A44);
  OpOff(0x00000A44, 0, 0);
  MakeName(0x00000A48, "_module_imp_end");
  MakeDword(0x00000A48);
  OpOff(0x00000A48, 0, 0);
}

static createImports() {
  MakeName(0x000009EC, "import0");
  MakeDword(0x000009EC);
  OpOff(0x000009EC, 0, 0);
  MakeName(0x00000A50, "import0_name");
  MakeStr(0x00000A50, BADADDR);
  MakeName(0x000009F0, "import0_flags");
  MakeDword(0x000009F0);
  MakeName(0x000009F4, "import0_counts");
  MakeDword(0x000009F4);
  MakeName(0x000009F8, "import0_nids");
  MakeDword(0x000009F8);
  OpOff(0x000009F8, 0, 0);
  MakeName(0x000009FC, "import0_funcs");
  MakeDword(0x000009FC);
  OpOff(0x000009FC, 0, 0);
  MakeName(0x00000AF8, "import0_sceKernelCpuSuspendIntr");
  MakeDword(0x00000AF8);
  MakeName(0x00000978, "sceKernelCpuSuspendIntr");
  MakeFunction(0x00000978, BADADDR);
  MakeName(0x00000AFC, "import0_sceKernelCpuResumeIntr");
  MakeDword(0x00000AFC);
  MakeName(0x00000980, "sceKernelCpuResumeIntr");
  MakeFunction(0x00000980, BADADDR);
  MakeName(0x00000B00, "import0_sceKernelIsIntrContext");
  MakeDword(0x00000B00);
  MakeName(0x00000988, "sceKernelIsIntrContext");
  MakeFunction(0x00000988, BADADDR);
  MakeName(0x00000B04, "import0_sceKernelRegisterIntrHandler");
  MakeDword(0x00000B04);
  MakeName(0x00000990, "sceKernelRegisterIntrHandler");
  MakeFunction(0x00000990, BADADDR);
  MakeName(0x00000B08, "import0_sceKernelReleaseIntrHandler");
  MakeDword(0x00000B08);
  MakeName(0x00000998, "sceKernelReleaseIntrHandler");
  MakeFunction(0x00000998, BADADDR);
  MakeName(0x00000B0C, "import0_sceKernelEnableIntr");
  MakeDword(0x00000B0C);
  MakeName(0x000009A0, "sceKernelEnableIntr");
  MakeFunction(0x000009A0, BADADDR);
  MakeName(0x00000B10, "import0_sceKernelDisableIntr");
  MakeDword(0x00000B10);
  MakeName(0x000009A8, "sceKernelDisableIntr");
  MakeFunction(0x000009A8, BADADDR);
  MakeName(0x00000A00, "import1");
  MakeDword(0x00000A00);
  OpOff(0x00000A00, 0, 0);
  MakeName(0x00000A70, "import1_name");
  MakeStr(0x00000A70, BADADDR);
  MakeName(0x00000A04, "import1_flags");
  MakeDword(0x00000A04);
  MakeName(0x00000A08, "import1_counts");
  MakeDword(0x00000A08);
  MakeName(0x00000A0C, "import1_nids");
  MakeDword(0x00000A0C);
  OpOff(0x00000A0C, 0, 0);
  MakeName(0x00000A10, "import1_funcs");
  MakeDword(0x00000A10);
  OpOff(0x00000A10, 0, 0);
  MakeName(0x00000B14, "import1_sceKernelRegisterSuspendHandler");
  MakeDword(0x00000B14);
  MakeName(0x000009B0, "sceKernelRegisterSuspendHandler");
  MakeFunction(0x000009B0, BADADDR);
  MakeName(0x00000B18, "import1_sceKernelRegisterResumeHandler");
  MakeDword(0x00000B18);
  MakeName(0x000009B8, "sceKernelRegisterResumeHandler");
  MakeFunction(0x000009B8, BADADDR);
}

static createExports() {
  MakeName(0x000009C4, "export_0");
  MakeDword(0x000009C4);
  MakeName(0x000009C8, "export_0_flags");
  MakeDword(0x000009C8);
  MakeName(0x000009CC, "export_0_counts");
  MakeDword(0x000009CC);
  MakeName(0x000009D0, "export_0_exports");
  MakeDword(0x000009D0);
  OpOff(0x000009D0, 0, 0);
  MakeName(0x00000A84, "export_0_module_bootstart");
  MakeDword(0x00000A84);
  MakeName(0x00000A90, "");
  MakeDword(0x00000A90);
  OpOff(0x00000A90, 0, 0);
  MakeName(0x00000000, "module_bootstart");
  MakeFunction(0x00000000, BADADDR);
  MakeName(0x00000A88, "export_0_module_reboot_before");
  MakeDword(0x00000A88);
  MakeName(0x00000A94, "");
  MakeDword(0x00000A94);
  OpOff(0x00000A94, 0, 0);
  MakeName(0x000000BC, "module_reboot_before");
  MakeFunction(0x000000BC, BADADDR);
  MakeName(0x00000A8C, "export_0_module_info");
  MakeDword(0x00000A8C);
  MakeName(0x00000A98, "");
  MakeDword(0x00000A98);
  OpOff(0x00000A98, 0, 0);
  MakeName(0x000009D4, "export_1");
  MakeDword(0x000009D4);
  OpOff(0x000009D4, 0, 0);
  MakeName(0x00000A9C, "export_1_name");
  MakeStr(0x00000A9C, BADADDR);
  MakeName(0x000009D8, "export_1_flags");
  MakeDword(0x000009D8);
  MakeName(0x000009DC, "export_1_counts");
  MakeDword(0x000009DC);
  MakeName(0x000009E0, "export_1_exports");
  MakeDword(0x000009E0);
  OpOff(0x000009E0, 0, 0);
  MakeName(0x00000AB0, "export_1_sceSTimerAlloc");
  MakeDword(0x00000AB0);
  MakeName(0x00000AD4, "");
  MakeDword(0x00000AD4);
  OpOff(0x00000AD4, 0, 0);
  MakeName(0x0000026C, "sceSTimerAlloc");
  MakeFunction(0x0000026C, BADADDR);
  MakeName(0x00000AB4, "export_1_sceSTimerFree");
  MakeDword(0x00000AB4);
  MakeName(0x00000AD8, "");
  MakeDword(0x00000AD8);
  OpOff(0x00000AD8, 0, 0);
  MakeName(0x00000344, "sceSTimerFree");
  MakeFunction(0x00000344, BADADDR);
  MakeName(0x00000AB8, "export_1_SysTimerForKernel_B53534B4");
  MakeDword(0x00000AB8);
  MakeName(0x00000ADC, "");
  MakeDword(0x00000ADC);
  OpOff(0x00000ADC, 0, 0);
  MakeName(0x000003DC, "SysTimerForKernel_B53534B4");
  MakeFunction(0x000003DC, BADADDR);
  MakeName(0x00000ABC, "export_1_sceSTimerSetHandler");
  MakeDword(0x00000ABC);
  MakeName(0x00000AE0, "");
  MakeDword(0x00000AE0);
  OpOff(0x00000AE0, 0, 0);
  MakeName(0x00000598, "sceSTimerSetHandler");
  MakeFunction(0x00000598, BADADDR);
  MakeName(0x00000AC0, "export_1_sceSTimerStartCount");
  MakeDword(0x00000AC0);
  MakeName(0x00000AE4, "");
  MakeDword(0x00000AE4);
  OpOff(0x00000AE4, 0, 0);
  MakeName(0x0000069C, "sceSTimerStartCount");
  MakeFunction(0x0000069C, BADADDR);
  MakeName(0x00000AC4, "export_1_sceSTimerStopCount");
  MakeDword(0x00000AC4);
  MakeName(0x00000AE8, "");
  MakeDword(0x00000AE8);
  OpOff(0x00000AE8, 0, 0);
  MakeName(0x00000730, "sceSTimerStopCount");
  MakeFunction(0x00000730, BADADDR);
  MakeName(0x00000AC8, "export_1_sceSTimerResetCount");
  MakeDword(0x00000AC8);
  MakeName(0x00000AEC, "");
  MakeDword(0x00000AEC);
  OpOff(0x00000AEC, 0, 0);
  MakeName(0x000007B4, "sceSTimerResetCount");
  MakeFunction(0x000007B4, BADADDR);
  MakeName(0x00000ACC, "export_1_sceSTimerGetCount");
  MakeDword(0x00000ACC);
  MakeName(0x00000AF0, "");
  MakeDword(0x00000AF0);
  OpOff(0x00000AF0, 0, 0);
  MakeName(0x00000820, "sceSTimerGetCount");
  MakeFunction(0x00000820, BADADDR);
  MakeName(0x00000AD0, "export_1_SysTimerForKernel_53231A15");
  MakeDword(0x00000AD0);
  MakeName(0x00000AF4, "");
  MakeDword(0x00000AF4);
  OpOff(0x00000AF4, 0, 0);
  MakeName(0x000008BC, "SysTimerForKernel_53231A15");
  MakeFunction(0x000008BC, BADADDR);
}

static createRelocs() {
}

